Name:           mediawiki119-SpecialInterwiki
Version:        1.3.1
Release:        1.20120509git%{?dist}
Summary:        An extension to provide an interwiki management system

Group:          Applications/Internet
License:        GPLv2+
URL:            http://www.mediawiki.org/wiki/Extension:SpecialInterwiki
# From https://gerrit.wikimedia.org/r/p/mediawiki/extensions/Interwiki.git
Source0:        Interwiki-20120509git.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires:       mediawiki119

%description
Interwiki management extension allowing the viewing and management of InterWiki
links for Mediawiki preventing the need for direct database access.

%prep
%setup -q -n Interwiki

cat > README.fedora <<'EOF'
To complete installation of %{name}, add the
following line to LocalSettings.php:

  require_once("$IP/extensions/Interwiki/SpecialInterwiki.php");

for each MediaWiki instance you wish to install %{name} on.
For information about how to use this plugin, see its website:

  %{url}
EOF

%build


%install
rm -rf %{buildroot}
install -d %{buildroot}%{_datadir}/mediawiki119/extensions/Interwiki
install -pm 644 * %{buildroot}%{_datadir}/mediawiki119/extensions/Interwiki

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README.fedora
%{_datadir}/mediawiki119/extensions/Interwiki

%changelog
* Tue May 22 2012 Stephen Smoogen <ssmoogen@ponyo.int.smoogespace.com> - 1.3.1-1.20120509git
- Update to latest git repository version

* Fri Jun 10 2011 Ricky Zhou <ricky@fedoraproject.org> - 1.3.1-1.20110610svn62739
- Update to latest upstream version.

* Fri Jun 06 2008 Nigel Jones <dev@nigelj.com> - 0-0.2.20080606svn
- Do away with the tarball

* Fri Jun 06 2008 Nigel Jones <dev@nigelj.com> - 0-0.1.20080606svn
- Initial package build.
